
ChiliProject - Bug # 577: Invalid watcher user error when adding an invalid user as watcher

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Issue tracking
Created: 2011-08-15 Assignee:
Updated: 2011-08-21 Due date:
Remote issue URL: http://www.redmine.org/issues/5373
Affected version: 2.1.1
Description: We were running into the following error, after introducing a new required field to the user model. Whenever 

somebody, how had not yet filled in the new field, was added as watcher during issue creation, we were 
getting a validation error:

  translation missing: en, field_watcher_users is invalid

This has been observed in Redmine as well.

The basic problem is, that Chili validates the user model, when trying to add a user to the watchers list. This 
should probably not happen since it is (a) not the issue's creator's fault and (b) also not done, when adding a 
watcher to an existing issue.

I have 'ported' the Redmine revision and attached it as pull request.

I'm happy to answer any question arising with this issue.

Associated revisions
2008-02-12 11:43 pm - Jean-Philippe Lang 
Translation for various hard-coded strings (#577).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1143 e93f8b46-1217-0410-a6f0-8f06a7374b81

2011-08-15 04:05 pm - Jean-Philippe Lang 
[#577] Avoid validating users when creating watcher relation

Taken from Redmine r5880
Committed by Jean Philippe Lang

2011-08-21 12:51 pm - Felix SchÃ¤fer 
Merge pull request #97 from finnlabs/pulls/577/invalid-watcher-user-fix

Invalid watcher user error when adding an invalid user as watcher #577

History
2011-08-15 02:19 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/97/

2011-08-21 01:40 pm - Felix Schäfer
- Status changed from Ready for review to Closed
Merged in commit:3e56db11, thanks!
